﻿Imports System.Web.UI.ScriptManager
Imports System
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page

#Region "Event Handlers"

    '''------------------------------------------------------------------------------------
    ''' <summary>
    ''' Page initialization event.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    '''------------------------------------------------------------------------------------
    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init


        If Not IsPostBack Then
        End If

    End Sub

    '''------------------------------------------------------------------------------------
    ''' <summary>
    ''' Page load event.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    '''------------------------------------------------------------------------------------
    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        If Not IsPostBack Then


            ' Needs to be done on every post-back
            PopulateGrid()

        End If

    End Sub

    '''------------------------------------------------------------------------------------
    ''' <summary>
    ''' Page prerender event.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    '''------------------------------------------------------------------------------------
    Private Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.PreRender

        'Check for postback
        If IsPostBack = False Then
        End If

    End Sub


#End Region

#Region "Methods"

    ''' <summary>
    ''' Get the audit data and populate the grid
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub PopulateGrid()

        Dim dt As DataTable = Nothing
        Dim dr As DataRow = Nothing
        Dim dv As DataView = Nothing

        dt = New DataTable
        dt.Columns.Add(New DataColumn("CreateDT", GetType(DateTime)))
        dt.Columns.Add(New DataColumn("ModifySignonID", GetType(String)))
        dt.Columns.Add(New DataColumn("AuditTypeCode", GetType(String)))
        dt.Columns.Add(New DataColumn("AuditMessage", GetType(String)))
        dt.Columns.Add(New DataColumn("ParticipantName", GetType(String)))
        dt.Columns.Add(New DataColumn("ParticipantRole", GetType(String)))

        dr = dt.NewRow()
        dr("CreateDT") = Now.Date
        dr("ModifySignonID") = "JS"
        dr("AuditTypeCode") = "Duplicate"
        dr("AuditMessage") = "This is a duplicate"
        dr("ParticipantName") = "John Smith"
        dr("ParticipantRole") = "A1"
        dt.Rows.Add(dr)

        dr = dt.NewRow()
        dr("CreateDT") = Now.Date
        dr("ModifySignonID") = "PS"
        dr("AuditTypeCode") = "Unknown"
        dr("AuditMessage") = "This is an unknown"
        dr("ParticipantName") = "Paula Smith"
        dr("ParticipantRole") = "A1"
        dt.Rows.Add(dr)

        Dim ds As DataSet = New DataSet
        ds.Tables.Add(dt)

        WHDGAudit.IsSelfReference = True
        WHDGAudit.DataKeyFields = "ModifySignonID"
        WHDGAudit.DataSource = ds
        WHDGAudit.DataBind()

        dt = Nothing
        dr = Nothing
        ds = Nothing

    End Sub


#End Region




End Class
